LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
05049Bug reports[All Projects] Survey takingpublic2011-03-23 14:242011-04-11 11:30
Reporterluge 
Assigned Toc_schmitz 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
Product Version1.90+ 
Target VersionFixed in Version1.91RC6 
Summary05049: multi languages navigation problems
DescriptionIn multilingual surveys, when you switch language during the survey, the new language choice is not saved.
if you try to change to say German, it works for the 1st question, ie you re bounced back to the start page and can proceed in the requested language.
However if you want to switch language afterwards, the question that was displayed when you changed it is going to be translated, then clicking next you get mixed languages. The question is in the "default language", but the language menu is in the language you asked for.
Steps To ReproduceThis affects v1.89, v1.90 and v1.91RC4.
How to replicate the bug:
1) Make a new survey with 2 language choices
2) Enable tokens
3) create a test token entry and use it to log in the survey
4) While in the survey, change language. The page will update with the chosen language
5) Click the Prev or Next button. The language will be reset.

This bug only appears on token based surveys. If you use the "test survey" mode, everything will look ok.
Additional Information[originally posted in the forum: http://www.limesurvey.org/en/forum/design-issues/57882-bug-when-switching-language-in-multilingual-surveys [^] ]

This does not happen with ls 1.87(8338)

here is a small part of the survey, if you wish to test it:
platformetest.limequery.com/68632/lang-fr

There are 3 languages (FR, DE, EN),
no tokens,
Q by Q format,
version 1.90+ (hosted by limeservice)
I will donate to the project if issue is resolved within 48 hrsNo
LimeSurvey build number OR git commit ID9642
BrowserFireFox 3.6
Database & DB-VersionmySQL (i think)
Operating System (Server)Linux
Webserver software & versionApache/2.2.3 (Red Hat)
PHP Version5.1.6
Attached Files? file icon limesurvey_survey_68632.lss [^] (67,692 bytes) 2011-03-26 14:15

- Relationships

-  Notes
User avatar (14548)
c_schmitz (administrator)
2011-03-26 11:54

Can you please attach the test survey? Thank you!
User avatar (14550)
luge (reporter)
2011-03-26 14:18

Sure, it's only a small part of the survey, but the bug shows anyway.
Here's another way to put the problem, may be somewhat clearer: you can switch language only once, if you try it again, it will work only for the question you currently see.
Thanks!
User avatar (14756)
c_schmitz (administrator)
2011-04-11 11:30

1.91RC6 released.

- Issue History
Date Modified Username Field Change
2011-03-23 14:24 luge New Issue
2011-03-26 11:54 c_schmitz Note Added: 14548
2011-03-26 11:54 c_schmitz Assigned To => c_schmitz
2011-03-26 11:54 c_schmitz Status new => feedback
2011-03-26 14:15 luge File Added: limesurvey_survey_68632.lss
2011-03-26 14:18 luge Note Added: 14550
2011-03-26 14:18 luge Status feedback => assigned
2011-03-29 18:47 c_schmitz Status assigned => resolved
2011-03-29 18:47 c_schmitz Fixed in Version => 1.91RC6
2011-03-29 18:47 c_schmitz Resolution open => fixed
2011-04-11 11:30 c_schmitz Note Added: 14756
2011-04-11 11:30 c_schmitz Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker